Loading...
Searching...
No Matches
Qualify.h File Reference

Defines methods for prefixing names in an expression with a prefix string. More...

`#include <string>`
`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Expr | Halide::Internal::qualify (const std::string &prefix, const Expr &value)
| Prefix all variable names in the given expression with the prefix string.

## Detailed Description

Defines methods for prefixing names in an expression with a prefix string.

Definition in file Qualify.h.